package com.nisum;


import com.nisum.Clients.HttpClient;
import com.nisum.Clients.RestTemplateClient;
import com.nisum.constants.Constants;


import org.apache.http.HttpResponse;
import org.apache.http.client.methods.HttpGet;
import org.apache.http.impl.client.DefaultHttpClient;
import org.json.simple.JSONObject;
import org.json.simple.parser.JSONParser;
import org.json.simple.parser.ParseException;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.SpringApplication;

import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.context.annotation.Bean;
import org.springframework.web.client.RestTemplate;

import java.io.*;
import java.net.URL;

@SpringBootApplication
public class HateoasApplication {

	@Autowired
	RestTemplateClient restTemplateClient;

	@Autowired
	HttpClient httpClient;


	//Get Calls using 2 clients:Rest client and HttpClient
	public static void main(String[] args) {
		try {
			SpringApplication.run(HateoasApplication.class, args);
			HateoasApplication ha = new HateoasApplication();
			restTemplateClient.getUsingRestTemplate();
			hhttpClient.getUsingHttpClient();
		} catch (ParseException e) {
			e.getStackTrace();
		} catch (IOException ex) {
			ex.getStackTrace();
		}
		catch(Exception et){
			et.getStackTrace();
		}
	}

	//Method to save the json object to different files with data of each page in separate file
	public void saveInFile(JSONObject jsonObject, int i) throws IOException {
		BufferedWriter writer = new BufferedWriter(new FileWriter("D:\\Backup Folder\\hateoas" + (i + 1) + ".json"));
		writer.newLine();
		writer.write(jsonObject.toString());
		writer.close();
	}







}




